issueNumber: MDL-76612
notes:
  mod_quiz:
    - message: >
        Final deprecations for the quiz. The following files have been removed:
          - mod/quiz/accessmanager_form.php
          - mod/quiz/accessmanager.php
          - mod/quiz/accessrule/accessrulebase.php
          - mod/quiz/attemptlib.php
          - mod/quiz/cronlib.php
          - mod/quiz/override_form.php
          - mod/quiz/renderer.php
          - mod/quiz/report/attemptsreport_form.php
          - mod/quiz/report/attemptsreport_options.php
          - mod/quiz/report/attemptsreport_table.php
          - mod/quiz/report/attemptsreport.php
          - mod/quiz/report/default.php
      type: removed
    - message: >
       Final deprecations for the quiz. The following methods have been removed:
          - mod_quiz\output\renderer::no_questions_message
          - mod_quiz\output\renderer::render_mod_quiz_links_to_other_attempts
          - mod_quiz\output\renderer::render_quiz_nav_question_button
          - mod_quiz\output\renderer::render_quiz_nav_section_heading
          - mod_quiz\structure::get_slot_tags_for_slot_id
          - mod_quiz\structure::is_display_number_customised
      type: removed
    - message: >
        Final deprecations for the quiz. The following functions have been removed:
          - quiz_has_question_use
          - quiz_update_sumgrades
          - quiz_update_all_attempt_sumgrades
          - quiz_update_all_final_grades
          - quiz_set_grade
          - quiz_save_best_grade
          - quiz_calculate_best_grade
          - quiz_calculate_best_attempt
      type: deprecated
    - message: >
        Final deprecations for the quiz. The following classes have been removed:
          - mod_quiz_overdue_attempt_updater
          - moodle_quiz_exception
      type: removed
    - message: >-
        The const quiz_statistics\calculator::TIME_TO_CACHE has been removed.
      type: removed
